package ru.yandex.webmaster3.viewer.http.searchquery;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.searchquery.QueryId;
import ru.yandex.webmaster3.core.searchquery.SpecialGroup;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author avhaliullin
 */
public class GetQueryInfoRequest extends AbstractUserVerifiedHostRequest {
    private QueryId queryId;
    private SpecialGroup specialGroup;

    public QueryId getQueryId() {
        return queryId;
    }

    @Description("ID запроса")
    @RequestQueryProperty(required = true)
    public void setQueryId(QueryId queryId) {
        this.queryId = queryId;
    }

    public SpecialGroup getSpecialGroup() {
        return specialGroup;
    }

    @RequestQueryProperty(required = true)
    public void setSpecialGroup(SpecialGroup specialGroup) {
        this.specialGroup = specialGroup;
    }
}
